| helics 3.6.1

Public Member Functions | Protected Attributes | List of all members
helics::CommsBroker< COMMS, BrokerT > Class Template Reference

`#include <CommsBroker.hpp>`

Inheritance diagram for helics::CommsBroker< COMMS, BrokerT >:

## Public Member Functions
| CommsBroker () noexcept
| CommsBroker (bool arg) noexcept
| CommsBroker (std::string_view obj_name)
| ~CommsBroker ()
virtual void | transmit (route_id rid, const ActionMessage &cmd) override
virtual void | transmit (route_id rid, ActionMessage &&cmd) override
virtual void | addRoute (route_id rid, int interfaceId, std::string_view routeInfo) override
virtual void | removeRoute (route_id rid) override
COMMS * | getCommsObjectPointer ()

## Protected Attributes
std::atomic< int > | disconnectionStage {0}
| the stage of disconnection
std::unique_ptr< COMMS > | comms
| the actual comms object
std::atomic< bool > | brokerInitialized {false}
| atomic protecting local initialization

## Detailed Description

### template<class COMMS, class BrokerT>
class helics::CommsBroker< COMMS, BrokerT >

helper class defining some common functionality for brokers and cores that use different communication methods

## Constructor & Destructor Documentation

## ◆ CommsBroker() [1/3]

template<class COMMS , class BrokerT >

helics::CommsBroker< COMMS, BrokerT >::CommsBroker
| noexcept

default constructor

## ◆ CommsBroker() [2/3]

template<class COMMS , class BrokerT >

helics::CommsBroker< COMMS, BrokerT >::CommsBroker | ( | bool | arg | ) |
| explicit noexcept

create from a single argument

## ◆ CommsBroker() [3/3]

template<class COMMS , class BrokerT >

helics::CommsBroker< COMMS, BrokerT >::CommsBroker | ( | std::string_view | obj_name | ) |
| explicit

create from an object name

## ◆ ~CommsBroker()

template<class COMMS , class BrokerT >

helics::CommsBroker< COMMS, BrokerT >::~CommsBroker

destructor

References helics::BrokerBase::haltOperations, and helics::BrokerBase::joinAllThreads().

## Member Function Documentation

## ◆ getCommsObjectPointer()

template<class COMMS , class BrokerT >

COMMS * helics::CommsBroker< COMMS, BrokerT >::getCommsObjectPointer

get a pointer to the comms object

The documentation for this class was generated from the following files:

- CommsBroker.hpp
- CommsBroker_impl.hpp